# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCalendarSystemFactory Class Reference

Factory class for calendar types. More...

`#include <kcalendarsystemfactory.h>`

List of all members.

## Static Public Member Functions

static KCalendarSystem * | create (const QString &calType=QString::fromLatin1("gregorian"), const KLocale *locale=0)
static QStringList | calendarSystems ()

## Detailed Description

Factory class for calendar types.

Author:
  Carlos Moro <cfmoro@correo.uniovi.es>

Since:
  3.2

Definition at line 36 of file kcalendarsystemfactory.h.

## Member Function Documentation

KCalendarSystem * KCalendarSystemFactory::create | ( | const QString & | calType = `QString::fromLatin1("gregorian")`,
|  | const KLocale * | locale = `0`
| ) | `[static]`

Gets specific calendar type number of days in previous month for a given date.

Parameters:

  | calType | string identification of the specific calendar type to be constructed
  | locale | Locale used for translations. Use the global locale when 0 is specified.

Returns:
  a KCalendarSystem object

Definition at line 43 of file kcalendarsystemfactory.cpp.

References endl().

Referenced by KLocale::calendar().

QStringList KCalendarSystemFactory::calendarSystems | ( |  | ) | `[static]`

Gets list of names of supported calendar systems.

Returns:
  A QStringList object

Definition at line 61 of file kcalendarsystemfactory.cpp.

The documentation for this class was generated from the following files:

- kcalendarsystemfactory.h
- kcalendarsystemfactory.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:20 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003